| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Note
Negative values for transaction values such as amount, discount are not considered.
Rate Limit
| Region | Default Limit (RPM) |
|---|---|
| Asia-2 (Singapore) | 1500 |
| Asia-1 (N. Virginia) | 200 |
| EMEA (Ireland) | 100 |
Request Body Parameters
Important
All monetary fields in transaction line items (amount, rate, value, discount) are rounded down to the number of decimal places specified by the AMOUNT_ROUNDING_OFF_TO_DECIMAL_PLACES configuration. To avoid loss of precision, set this configuration to one more than the value of CONF_DECIMAL_PLACES_FOR_BASE_CURRENCY.
| Parameter | Type | Description |
|---|---|---|
| id | int | Unique id of the transaction that you want to update. |
| number | string | Transaction number that you need to update. |
| mobile/email/id/external_id | string | Pass any of the identifiers of the customer associated to the transaction. |
| delivery_status | string | Status of the delivery associated to the transaction update. |
| extended_fields | obj | Update extended field details of the transaction. |
| custom_fields | obj | Update custom field details of the transaction. |
| old_type | enum | Earlier type of transaction. Usually, it will be NOT_INTERESTED. Applicable for retro conversion. |
Response Parameters
Note
Monetary fields in the response, such as amount, rate, value, and discount for transaction line items, are rounded down according to the AMOUNT_ROUNDING_OFF_TO_DECIMAL_PLACES configuration. This ensures consistency between stored and retrieved values.
| Parameter | Datatype | Description |
|---|---|---|
| extended_fields | obj | Extended field details of the transaction that are updated. |
| custom_fields | obj | Custom field details of the transaction that are updated. |
| id | long | Unique ID of the transaction generated by the system. |
| number | string | Bill or transaction number. |
| type | enum | Current transaction type. |
| customer | obj | Customer details associated to the transaction. |
NoteCustom fields can only be added if they meet the following conditions:
- The field must exist in the
custom_fieldstable for the particular org- It must belong to the same
org_idas the current use-case- The field’s scope must be set to
LOYALTY_REGISTRATION
Note
- Extended field that you use must match with the extended fields defined in the respective org.
